Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233367 - fwbackups: program crashes, syntax error
Summary: fwbackups: program crashes, syntax error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 20:32 UTC by Bernard Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.42.3a
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-25 19:59:48 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-21 20:32:18 UTC
Description of problem:
program crashes on startup

Version-Release number of selected component (if applicable):
fwbackups-1.42.3-1.fc6

How reproducible:
Always

fwbackups
Traceback (most recent call last):
  File "/usr/share/fwbackups/fwbackups-runapp.py", line 23, in ?
    from fwbackups import Callbacks
  File "/usr/lib/python2.4/site-packages/fwbackups/Callbacks.py", line 19, in ?
    from fwbackups import Backuper
  File "/usr/lib/python2.4/site-packages/fwbackups/Backuper.py", line 167
    else:
       ^
SyntaxError: invalid syntax


--- Backuper.py.orig    2007-03-19 17:37:55.000000000 -0600
+++ Backuper.py 2007-03-21 14:27:43.000000000 -0600
@@ -162,7 +162,7 @@
                         except OSError:
                             os.remove(os.path.join(self.root, self.name))
                 os.rmdir(self.top)
-        print 'Finished removing old backups.'
+            print 'Finished removing old backups.'
         # Else: Create the main backup dir.
         else:
             print 'Backups directory \'%s\' non-existant,
creating...'%(self.dest + "/Backups")

Comment 1 Stewart Adam 2007-03-21 21:14:17 UTC
Thanks for the patch, I've queued the new build with the fix... It should be in
the Extras repo by tomorrow or the day after.

Comment 2 Jack Deslippe 2007-03-23 00:22:51 UTC
I also have this issue - how do I fix it?

Comment 3 Stewart Adam 2007-03-23 01:05:45 UTC
What version are you using?


Note You need to log in before you can comment on or make changes to this bug.